import logo from '/public/usp-logo.svg';
import Image from 'next/image';
import styles from '/styles/login.module.scss';
import LoginProps from '../components/loginProps';
import { Col, Container, Row, Stack } from 'react-bootstrap';

/**
 * Creates layout of a login screen.
 * @param props Html structure of a login form.
 * @returns The login screen.
 */
function LoginLayout(props: LoginProps) {
    return (
        <Container>
            <Row className="min-vh-100 align-items-center">
                <Col md={8}>
                    <Stack gap={5}>
                        <div>
                            <Image
                                src={logo}
                                alt="Ústav státu a práva Akademie věd ČR"
                            ></Image>
                        </div>
                        <h1 className={styles.title}>
                            Vítejte na stránkách Ústavu státu a práva Akademie věd ČR pro
                            anotaci dokumentů v rámci projektu TAČR TL03000152 - Umělá
                            inteligence, média a právo
                        </h1>
                    </Stack>
                </Col>
                <Col md={4}>
                    <main>{props.children}</main>
                </Col>
            </Row>
        </Container>
    );
}

export default LoginLayout;
